package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 弹框日志对象 alert_log
 * 
 * @author chenyn
 * @date 2023-06-13
 */
public class AlertLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long alertLogId;

    /** 弹框配置id */
    @Excel(name = "弹框配置id")
    private Long alertId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 登录名 */
    @Excel(name = "登录名")
    private String loginName;

    /** 弹框每日弹的次数 */
    @Excel(name = "弹框每日弹的次数")
    private Long alertNum;

    /** 用户类型0立邦员工1经销商 */
    @Excel(name = "用户类型0立邦员工1经销商")
    private String userType;

    private String isClearCache;


    public void setAlertLogId(Long alertLogId) 
    {
        this.alertLogId = alertLogId;
    }

    public Long getAlertLogId() 
    {
        return alertLogId;
    }
    public void setAlertId(Long alertId) 
    {
        this.alertId = alertId;
    }

    public String getIsClearCache() {
        return isClearCache;
    }

    public void setIsClearCache(String isClearCache) {
        this.isClearCache = isClearCache;
    }

    public Long getAlertId()
    {
        return alertId;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setAlertNum(Long alertNum) 
    {
        this.alertNum = alertNum;
    }

    public Long getAlertNum() 
    {
        return alertNum;
    }
    public void setUserType(String userType) 
    {
        this.userType = userType;
    }

    public String getUserType() 
    {
        return userType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alertLogId", getAlertLogId())
            .append("alertId", getAlertId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("userId", getUserId())
            .append("loginName", getLoginName())
            .append("alertNum", getAlertNum())
            .append("userType", getUserType())
            .toString();
    }
}
